> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event instances by event key

> Retrieve event instances for a specific event key and client



## OpenAPI

````yaml /openapi.json get /api/public/events/instances
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/events/instances:
    get:
      tags:
        - Public Events
      summary: Get event instances by event key
      description: Retrieve event instances for a specific event key and client
      operationId: PublicEventsController_getEventInstancesByKey
      parameters:
        - name: eventKey
          required: true
          in: query
          description: Event key to filter by
          schema:
            type: string
        - name: aiCustomerId
          required: false
          in: query
          description: AI Customer ID to filter by (optional)
          schema:
            format: uuid
            type: string
        - name: source
          required: false
          in: query
          description: Source to filter by (optional)
          schema:
            type: string
        - name: ticketV2Id
          required: false
          in: query
          description: Ticket V2 ID to filter by (optional)
          schema:
            format: uuid
            type: string
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Event instances retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AppEventInstance'
        '404':
          description: Event not found or not active
components:
  schemas:
    AppEventInstance:
      type: object
      properties: {}

````